#include <exec/types.h>
#include <exec/io.h>
#include <graphics/gfx.h>
#include <graphics/gfxbase.h>
#include <graphics/copper.h>
#include <graphics/text.h>
#include <graphics/rastport.h>
#include <graphics/view.h>
#include <exec/exec.h>
#include <graphics/gels.h>
#include <intuition/intuition.h>
#include <intuition/intuitionbase.h>

#define  DEPTH 4     /* bit planes for screen */
#define  WIDE  320   /* width of screen (ie not hires) */
#define  MODE  NULL  /* not HIRES */
#define  HIGH  200   /* non interlaced */
#define  HWIDE (WIDE/2) /* half of window width */

#define  HBOBS 3     /* how many images to put accross */
#define  VBOBS 3     /* how many vert */
#define  OBS   (HBOBS*VBOBS)  /* total number of images */

#define  BWIDE 3  /* width of each image in words */
#define  BHIGH 45 /* height of each image */
#define  BDEEP (DEPTH)  /* same depth as screen */
#define  PLANE (BWIDE*BHIGH)  /* size of one plane */
#define  BSIZE (BWIDE*BHIGH*BDEEP)  /* total size of image */

#define  LOFFSET  7  /* left offset for draw box */
#define  TOFFSET  23 /* top offset for draw box */
#define  ROFFSET  7  /* right offset from HWIDE for draw box */
#define  BOFFSET  40 /* bottom offse for draw box */

#define  GHIGH    20 /* gadget height (color select) */
#define  COLORS   16 /* 2^DEEP */

#define  HBLOCK   ((HWIDE-LOFFSET-ROFFSET-2)/BWIDE/16) /* width of fatbit */
#define  VBLOCK   ((HIGH-BOFFSET-TOFFSET-2)/BHIGH)     /* height of fatbit */

#define  VIEWBASE 70 /* gadget ID offset for view gadgets */
                     /* I use the ID field of the gadget structure in
                        The case statement in "events.c" to decode which
                        gadget was pressed.  The "view" gadgets are for
                        the image boxes to the right of the draw box. */

#define  MENUS 3  /* file menu, edit menu */
#define  FILEI 4  /* info, load, save, quit */
#define  EDITI 3  /* clear, flip, rotate  */
#define  COPYI 2  /* copy, paste */

#define  REQBASE  90 /* gadget ID offset for requester gadgets.
                        same as above but this is for the requester
                        gadgets. */


